path: /build/build/mm-common-dev-cpp-1.0.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-cpp/mm-common -pv -t && \
    emerge -j ${JOBS} --nodeps dev-cpp/mm-common
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mm-common && luet-portage --dir /pkgdir/mm-common
    dev-cpp/mm-common && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d41602e17ed2b07bc1a3dfc458f20ae0d94bd2a8fe3f327018b1ef7d1297cfb0
  package:
    name: mm-common
    version: 1.0.2
    category: dev-cpp
    requires:
    - name: macaroni-funtoo-race10
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Build infrastructure and utilities for GNOME C++ bindings
    uri:
    - https://www.gtkmm.org/
    license: GPL-2
    buildtimestamp: 2023-08-28 18:00:16.197127317 +0000 UTC m=+70.401196812
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2'
      DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
      emerge.packages: dev-cpp/mm-common
      kit: gnome-kit
      original.package.name: dev-cpp/mm-common
      original.package.slot: "0"
      original.package.version: 1.0.2
    treedir: /build/packages
  package_dir: /pkgdir/mm-common
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ee175687fbb6a4bf144660f740fb058e1a0adc14bfa4d26a4e68a9e5bbbabd7c
compressiontype: zstd
files:
- usr/bin/mm-common-get
- usr/bin/mm-common-prepare
- usr/share/aclocal/mm-ax_cxx_compile_stdcxx.m4
- usr/share/aclocal/mm-ax_cxx_compile_stdcxx_11.m4
- usr/share/aclocal/mm-common.m4
- usr/share/aclocal/mm-dietlib.m4
- usr/share/aclocal/mm-doc.m4
- usr/share/aclocal/mm-module.m4
- usr/share/aclocal/mm-pkg.m4
- usr/share/aclocal/mm-warnings.m4
- usr/share/doc/mm-common/README.bz2
- usr/share/doc/mm-common/skeletonmm.tar.bz2
- usr/share/doc/mm-common-1.0.2/AUTHORS.bz2
- usr/share/doc/mm-common-1.0.2/ChangeLog.bz2
- usr/share/doc/mm-common-1.0.2/NEWS.bz2
- usr/share/doc/mm-common-1.0.2/README.bz2
- usr/share/man/man1/mm-common-get.1.bz2
- usr/share/man/man1/mm-common-prepare.1.bz2
- usr/share/mm-common/build/check-dllexport-usage.py
- usr/share/mm-common/build/compile-binding.am
- usr/share/mm-common/build/dist-build-scripts.py
- usr/share/mm-common/build/dist-changelog.am
- usr/share/mm-common/build/dist-changelog.py
- usr/share/mm-common/build/doc-reference.am
- usr/share/mm-common/build/doc-reference.py
- usr/share/mm-common/build/generate-binding.am
- usr/share/mm-common/build/generate-binding.py
- usr/share/mm-common/doctags/libstdc++.tag
- usr/share/mm-common/doctool/doc-install.pl
- usr/share/mm-common/doctool/doc-postprocess.pl
- usr/share/mm-common/doctool/doxygen-extra.css
- usr/share/mm-common/doctool/doxygen.css
- usr/share/mm-common/doctool/tagfile-to-devhelp2.xsl
- usr/share/pkgconfig/mm-common-libstdc++.pc
- usr/share/pkgconfig/mm-common-util.pc
- var/db/pkg/dev-cpp/mm-common-1.0.2/BDEPEND
- var/db/pkg/dev-cpp/mm-common-1.0.2/BUILD_TIME
- var/db/pkg/dev-cpp/mm-common-1.0.2/CATEGORY
- var/db/pkg/dev-cpp/mm-common-1.0.2/CBUILD
- var/db/pkg/dev-cpp/mm-common-1.0.2/CFLAGS
- var/db/pkg/dev-cpp/mm-common-1.0.2/CHOST
- var/db/pkg/dev-cpp/mm-common-1.0.2/CONTENTS
- var/db/pkg/dev-cpp/mm-common-1.0.2/COUNTER
- var/db/pkg/dev-cpp/mm-common-1.0.2/CXXFLAGS
- var/db/pkg/dev-cpp/mm-common-1.0.2/DEFINED_PHASES
- var/db/pkg/dev-cpp/mm-common-1.0.2/DEPEND
- var/db/pkg/dev-cpp/mm-common-1.0.2/DESCRIPTION
- var/db/pkg/dev-cpp/mm-common-1.0.2/EAPI
- var/db/pkg/dev-cpp/mm-common-1.0.2/FEATURES
- var/db/pkg/dev-cpp/mm-common-1.0.2/HOMEPAGE
- var/db/pkg/dev-cpp/mm-common-1.0.2/INHERITED
- var/db/pkg/dev-cpp/mm-common-1.0.2/IUSE
- var/db/pkg/dev-cpp/mm-common-1.0.2/IUSE_EFFECTIVE
- var/db/pkg/dev-cpp/mm-common-1.0.2/KEYWORDS
- var/db/pkg/dev-cpp/mm-common-1.0.2/LDFLAGS
- var/db/pkg/dev-cpp/mm-common-1.0.2/LICENSE
- var/db/pkg/dev-cpp/mm-common-1.0.2/PF
- var/db/pkg/dev-cpp/mm-common-1.0.2/SIZE
- var/db/pkg/dev-cpp/mm-common-1.0.2/SLOT
- var/db/pkg/dev-cpp/mm-common-1.0.2/USE
- var/db/pkg/dev-cpp/mm-common-1.0.2/environment.bz2
- var/db/pkg/dev-cpp/mm-common-1.0.2/mm-common-1.0.2.ebuild
- var/db/pkg/dev-cpp/mm-common-1.0.2/repository
package_cacheimage: ""
runtime:
  name: mm-common
  version: 1.0.2
  category: dev-cpp
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Build infrastructure and utilities for GNOME C++ bindings
  uri:
  - https://www.gtkmm.org/
  license: GPL-2
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2'
    DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
    emerge.packages: dev-cpp/mm-common
    kit: gnome-kit
    original.package.name: dev-cpp/mm-common
    original.package.slot: "0"
    original.package.version: 1.0.2
